End-nodes support NetBIOS service interfaces and contain application to update the DHCP Client.
OID reference
rsDhcpWinsNodeType
1.3.6.1.4.1.89.38.13
Description
End-nodes support NetBIOS service interfaces and contain application to update the DHCP Client.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.89.38 (rsDHCP)
- Node code
- 13
- Node name
- rsDhcpWinsNodeType
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.89.38.13
- URN notation
- urn:oid:1.3.6.1.4.1.89.38.13
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 89 38 13}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpWinsNodeType(13)}
- OID-IRI notation
- /1/3/6/1/4/1/89/38/13
- /ISO/Identified-Organization/6/1/4/1/89/38/13
- /ISO/3/6/1/4/1/89/38/13
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/identified-organization/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/identified-organization/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/org/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/org/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/org/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/org/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-organization/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-organization/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpWinsNodeType
- /iso/iso-organization/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpWinsNodeType
SNMP properties
- Value type
- INTEGER
- Maximum access defined by MIB
- read-write
- Status in MIB
- mandatory
Enumerated values
| Value | Name |
|---|---|
| 1 | b-node |
| 2 | p-node |
| 4 | m-node |
| 8 | h-node |
Using this OID with SNMP
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.89.38.13.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
rsDhcpWinsNodeType OBJECT-TYPE
SYNTAX INTEGER{
b-node(1),
p-node(2),
m-node(4),
h-node(8)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"End-nodes support NetBIOS service interfaces and contain
application to update the DHCP Client."
-- DEFVAL { b-node }
::= { rsDHCP 13 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
rsDhcpWinsNodeType · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: rsDhcpWinsNodeType
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"rsDhcpWinsNodeType",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"b-node",
"(",
"1",
")",
",",
"p-node",
"(",
"2",
")",
",",
"m-node",
"(",
"4",
")",
",",
"h-node",
"(",
"8",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"End-nodes support NetBIOS service interfaces and contain application to update the DHCP Client.\"",
"::=",
"{",
"rsDHCP",
"13",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"b-node",
1
],
[
"p-node",
2
],
[
"m-node",
4
],
[
"h-node",
8
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"End-nodes support NetBIOS service interfaces and contain application to update the DHCP Client."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: DES6300 MIB(0131140909).zip
Module: RADLAN-MIB
See published definition above
· Download APOLLO.TXTModule imports
{'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)
Siblings (51)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.38.1 | rsDNSIPAddr | 0 | 0 | |
| 1.3.6.1.4.1.89.38.2 | rsDhcpProbeEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.38.3 | rsDhcpProbeTimeout | 0 | 0 | |
| 1.3.6.1.4.1.89.38.4 | rsDhcpProbeRetries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.5 | rsDhcpServerEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.38.6 | rsDhcpRelaySecThreshold | 0 | 0 | |
| 1.3.6.1.4.1.89.38.7 | rsDhcpNextServerAddress | 0 | 0 | |
| 1.3.6.1.4.1.89.38.8 | rsDhcpDefaultLeaseTime | 0 | 0 | |
| 1.3.6.1.4.1.89.38.9 | rsDhcpIPAddressAllocTable | 1 | 13 | |
| 1.3.6.1.4.1.89.38.10 | rsDhcpDynamicTable | 1 | 13 | |
| 1.3.6.1.4.1.89.38.11 | rsDhcpWinsPrime | 0 | 0 | |
| 1.3.6.1.4.1.89.38.12 | rsDhcpWinsSecondary | 0 | 0 | |
| 1.3.6.1.4.1.89.38.14 | rsDhcpMibVersion | 0 | 0 | |
| 1.3.6.1.4.1.89.38.15 | rsDhcpMultipleRelaysTable | 1 | 4 | |
| 1.3.6.1.4.1.89.38.16 | rsDhcpRelayEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.38.17 | rsDhcpEraseFlashDB | 0 | 0 | |
| 1.3.6.1.4.1.89.38.18 | rsDhcpDBLocation | 0 | 0 | |
| 1.3.6.1.4.1.89.38.19 | rsDhcpOptionsTable | 1 | 13 | |
| 1.3.6.1.4.1.89.38.20 | rsDhcpServerExists | 0 | 0 | |
| 1.3.6.1.4.1.89.38.21 | rsDhcpActualNumberOfEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.23 | rlDhcpRelayMaximalNumberOfNonIpVlans | 0 | 0 | |
| 1.3.6.1.4.1.89.38.24 | rlDhcpRelayCurrentNumberOfNonIpVlans | 0 | 0 | |
| 1.3.6.1.4.1.89.38.25 | rlDhcpRelayEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.38.26 | rlDhcpRelayExists | 0 | 0 | |
| 1.3.6.1.4.1.89.38.27 | rlDhcpRelayNextServerTable | 1 | 4 | |
| 1.3.6.1.4.1.89.38.28 | rlDhcpRelayInterfaceTable | 1 | 4 | |
| 1.3.6.1.4.1.89.38.29 | rlDhcpRelayInterfaceListTable | 1 | 7 | |
| 1.3.6.1.4.1.89.38.30 | rlDhcpSrvEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.38.31 | rlDhcpSrvExists | 0 | 0 | |
| 1.3.6.1.4.1.89.38.32 | rlDhcpSrvDbLocation | 0 | 0 | |
| 1.3.6.1.4.1.89.38.33 | rlDhcpSrvMaxNumOfClients | 0 | 0 | |
| 1.3.6.1.4.1.89.38.34 | rlDhcpSrvDbNumOfActiveEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.35 | rlDhcpSrvDbErase | 0 | 0 | |
| 1.3.6.1.4.1.89.38.36 | rlDhcpSrvProbeEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.38.37 | rlDhcpSrvProbeTimeout | 0 | 0 | |
| 1.3.6.1.4.1.89.38.38 | rlDhcpSrvProbeRetries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.39 | rlDhcpSrvDefaultNetworkPoolName | 0 | 0 | |
| 1.3.6.1.4.1.89.38.45 | rlDhcpSrvIpAddrTable | 1 | 14 | |
| 1.3.6.1.4.1.89.38.46 | rlDhcpSrvDynamicTable | 1 | 17 | |
| 1.3.6.1.4.1.89.38.47 | rlDhcpSrvConfParamsTable | 1 | 16 | |
| 1.3.6.1.4.1.89.38.48 | rlDhcpSrvNumOfNetworkPools | 0 | 0 | |
| 1.3.6.1.4.1.89.38.49 | rlDhcpSrvNumOfExcludedPools | 0 | 0 | |
| 1.3.6.1.4.1.89.38.50 | rlDhcpSrvNumOfHostPools | 0 | 0 | |
| 1.3.6.1.4.1.89.38.51 | rlDhcpSrvNumOfDynamicEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.52 | rlDhcpSrvNumOfUsedEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.53 | rlDhcpSrvNumOfPreAllocatedEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.54 | rlDhcpSrvNumOfExpiredEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.55 | rlDhcpSrvNumOfDeclinedEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.56 | rlDhcpSrvNumOfAutomaticEntries | 0 | 0 | |
| 1.3.6.1.4.1.89.38.57 | rlDhcpSrvOptionParamsTable | 1 | 7 |